package org.processmining.acceptingpetrinet.algorithms;

import org.processmining.acceptingpetrinet.models.AcceptingPetriNet;
import org.processmining.acceptingpetrinet.models.impl.AcceptingPetriNetFactory;
import org.processmining.acceptingpetrinet.parameters.ConvertPetriNetToAcceptingPetriNetParameters;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.models.graphbased.directed.petrinet.Petrinet;

public class ConvertPetriNetToAcceptingPetriNetAlgorithm {

	public AcceptingPetriNet apply(PluginContext context, Petrinet net,
			ConvertPetriNetToAcceptingPetriNetParameters parameters) {
		AcceptingPetriNet acceptingNet = AcceptingPetriNetFactory.createAcceptingPetriNet();
		acceptingNet.init(net);
		acceptingNet.setInitialMarking(parameters.getInitialMarking());
		acceptingNet.setFinalMarkings(parameters.getFinalMarkings());
		return acceptingNet;
	}
}
