package org.processmining.acceptingpetrinet.filters;

import org.processmining.basicutils.parameters.impl.PluginParametersImpl;
import org.processmining.basicutils.utils.StringConstants;

public class StartEndFilterParameters extends PluginParametersImpl {

	private String startLabel;
	private String endLabel;

	public StartEndFilterParameters() {
		super();
		setStartLabel(StringConstants.START);
		setEndLabel(StringConstants.END);
	}
	
	public StartEndFilterParameters(StartEndFilterParameters parameters) {
		super(parameters);
		setStartLabel(parameters.getStartLabel());
		setEndLabel(parameters.getEndLabel());
	}
	
	public boolean equals(Object object) {
		if (object instanceof StartEndFilterParameters) {
			StartEndFilterParameters parameters = (StartEndFilterParameters) object;
			return super.equals(parameters) && getStartLabel().equals(parameters.getStartLabel())
					&& getEndLabel().equals(parameters.getEndLabel());
		}
		return false;
	}
	
	public String getStartLabel() {
		return startLabel;
	}

	public void setStartLabel(String startLabel) {
		this.startLabel = startLabel;
	}

	public String getEndLabel() {
		return endLabel;
	}

	public void setEndLabel(String endLabel) {
		this.endLabel = endLabel;
	}
}
