package org.processmining.acceptingpetrinet.plugins;

import org.processmining.acceptingpetrinet.algorithms.CreateAcceptingPetriNetArrayFromAcceptingPetriNetsAlgorithm;
import org.processmining.acceptingpetrinet.models.AcceptingPetriNet;
import org.processmining.acceptingpetrinet.models.AcceptingPetriNetArray;
import org.processmining.contexts.uitopia.annotations.UITopiaVariant;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginVariant;

@Plugin(name = "Create Accepting Petri Net Array", parameterLabels = { "Accepting Petri Nets" }, returnLabels = {
		"Accepting Petri Net Array" }, returnTypes = { AcceptingPetriNetArray.class })
public class CreateAcceptingPetriNetArrayFromAcceptingPetriNetsPlugin extends CreateAcceptingPetriNetArrayFromAcceptingPetriNetsAlgorithm {

	@UITopiaVariant(affiliation = UITopiaVariant.EHV, author = "S.J. van Zelst", email = "s.j.v.zelst@tue.nl")
	@PluginVariant(requiredParameterLabels = { 0 })
	public AcceptingPetriNetArray run(PluginContext context, AcceptingPetriNet... nets) {
		return apply(context, nets);
	}

}
