package org.processmining.acceptingpetrinet.plugins;

import javax.swing.JComponent;
import javax.swing.JTabbedPane;

import org.processmining.acceptingpetrinet.models.AcceptingPetriNetArray;
import org.processmining.contexts.uitopia.UIPluginContext;
import org.processmining.contexts.uitopia.annotations.Visualizer;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginVariant;

@Plugin(name = "@0 Visualize Accepting Petri Net Array", returnLabels = { "Visualized Accepting Petri Net Array" }, returnTypes = { JComponent.class }, parameterLabels = { "Accepting Petri Net Array" }, userAccessible = true)
@Visualizer
public class VisualizeAcceptingPetriNetArrayPlugin {

	@PluginVariant(requiredParameterLabels = { 0 })
	public JComponent visualize(UIPluginContext context, AcceptingPetriNetArray nets) {
		
		VisualizeAcceptingPetriNetPlugin visualizer = new VisualizeAcceptingPetriNetPlugin();
		
		JTabbedPane tabbedPane = new JTabbedPane();
		for (int index = 0; index < nets.getSize(); index++) {
//			visualize(context, nets, index, visualizer, tabbedPane);
			String label = "Net " + (index + 1);
			tabbedPane.add(label, visualizer.visualize(context, nets.getNet(index)));
		}
		return tabbedPane;
	}
	
//	public void visualize(final UIPluginContext context, final AcceptingPetriNetArray nets, final int index, final VisualizeAcceptingPetriNetPlugin visualizer, final JTabbedPane tabbedPane) {
//		Runnable runnable = new Runnable() {
//
//			public void run() {
//				// TODO Auto-generated method stub
//				String label = "Net " + (index + 1);
//				tabbedPane.add(label, visualizer.visualize(context, nets.getNet(index)));
//			}
//		};
//		Thread thread = new Thread(runnable);
//		thread.start();
//	}
}
