package org.processmining.acceptingpetrinet.plugins;

import java.awt.Color;

import javax.swing.JComponent;

import org.processmining.acceptingpetrinet.models.AcceptingPetriNet;
import org.processmining.contexts.uitopia.UIPluginContext;
import org.processmining.contexts.uitopia.annotations.Visualizer;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginLevel;
import org.processmining.framework.plugin.annotations.PluginVariant;
import org.processmining.models.graphbased.AttributeMap;
import org.processmining.models.graphbased.ViewSpecificAttributeMap;
import org.processmining.models.graphbased.directed.petrinet.elements.Place;
import org.processmining.models.jgraph.ProMJGraphVisualizer;
import org.processmining.models.semantics.petrinet.Marking;

@Plugin(name = "@0 Visualize Accepting Petri Net", level = PluginLevel.Regular, returnLabels = { "Visualized Accepting Petri Net" }, returnTypes = {
		JComponent.class }, parameterLabels = { "Accepting Petri Net" }, userAccessible = true)
@Visualizer
public class VisualizeAcceptingPetriNetPlugin {

	@PluginVariant(requiredParameterLabels = { 0 })
	public static JComponent visualize(UIPluginContext context, AcceptingPetriNet net) {
		return visualize((PluginContext) context, net);
	}

	public static JComponent visualize(PluginContext context, AcceptingPetriNet net) {
		ViewSpecificAttributeMap map = new ViewSpecificAttributeMap();
		for (Place place : net.getInitialMarking().baseSet()) {
			map.putViewSpecific(place, AttributeMap.FILLCOLOR, new Color(128, 255, 0));
		}
		for (Marking marking : net.getFinalMarkings()) {
			for (Place place : marking.baseSet()) {
				if (net.getInitialMarking().baseSet().contains(place)) {
					map.putViewSpecific(place, AttributeMap.FILLCOLOR, new Color(128, 255, 0));
					map.putViewSpecific(place, AttributeMap.GRADIENTCOLOR, new Color(228, 0, 0));
				} else {
					map.putViewSpecific(place, AttributeMap.FILLCOLOR, new Color(228, 0, 0));
				}
			}
		}
		return ProMJGraphVisualizer.instance().visualizeGraph(context, net.getNet(), map);
	}
}
